| Home | Libraries | People | FAQ | More

## Function template circle_graph_layout

boost::circle_graph_layout — Layout the graph with the vertices at the points of a regular n-polygon.

## Synopsis

    template<typename VertexListGraph, typename PositionMap, typename Radius>
      void circle_graph_layout(const VertexListGraph & g, PositionMap position,
                               Radius radius);

## Where Defined

boost/graph/circle_layout.hpp

## Description

The distance from the center of the polygon to each point is determined by the `radius` parameter. The `position` parameter must be an Lvalue Property Map whose value type is a class type containing `x` and `y` members that will be set to the `x` and `y` coordinates.

Copyright © 2004 | Douglas Gregor, Indiana University (dgregor@cs.indiana.edu) Andrew Lumsdaine, Indiana University (lums@osl.iu.edu)